[Bug 256872] devel/py-zipp: configure step fails

From: <bugzilla-noreply_at_freebsd.org>
Date: Mon, 28 Jun 2021 13:06:29 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=256872

            Bug ID: 256872
           Summary: devel/py-zipp: configure step fails
           Product: Ports & Packages
           Version: Latest
          Hardware: Any
                OS: Any
            Status: New
          Severity: Affects Only Me
          Priority: ---
         Component: Individual Port(s)
          Assignee: swills_at_FreeBSD.org
          Reporter: kidon_at_posteo.de
             Flags: maintainer-feedback?(swills_at_FreeBSD.org)
          Assignee: swills_at_FreeBSD.org

Trying to build devel/py-zipp with Poudriere has failed in the last weeks:

=>> Building devel/py-zipp
build started at Sat Jun 26 00:51:30 CEST 2021
port directory: /usr/ports/devel/py-zipp
package name: py39-zipp-3.4.0
building for: FreeBSD 12-amd64-local-job-03 12.2-RELEASE-p6 FreeBSD
12.2-RELEASE-p6 amd64
maintained by: swills_at_FreeBSD.org
Makefile ident: 
Poudriere version: 3.3.6
Host OSVERSION: 1202000
Jail OSVERSION: 1202000
Job Id: 03
[...]
=======================<phase: configure      >============================
===>  Configuring for py39-zipp-3.4.0
WARNING: The wheel package is not available.
/usr/local/bin/python3.9: No module named pip
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/setuptools/installer.py", line
75, in fetch_build_egg
    subprocess.check_call(cmd)
  File "/usr/local/lib/python3.9/subprocess.py", line 373, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/local/bin/python3.9', '-m',
'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w',
'/tmp/tmpxik70adk', '--quiet', 'toml']' returned non-zero exit status 1.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 6, in <module>
    setuptools.setup()
  File "/usr/local/lib/python3.9/site-packages/setuptools/__init__.py", line
152, in setup
    _install_setup_requires(attrs)
  File "/usr/local/lib/python3.9/site-packages/setuptools/__init__.py", line
147, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/local/lib/python3.9/site-packages/setuptools/dist.py", line 779,
in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/local/lib/python3.9/site-packages/pkg_resources/__init__.py", line
766, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/local/lib/python3.9/site-packages/pkg_resources/__init__.py", line
1051, in best_match
    return self.obtain(req, installer)
  File "/usr/local/lib/python3.9/site-packages/pkg_resources/__init__.py", line
1063, in obtain
    return installer(requirement)
  File "/usr/local/lib/python3.9/site-packages/setuptools/dist.py", line 838,
in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/local/lib/python3.9/site-packages/setuptools/installer.py", line
77, in fetch_build_egg
    raise DistutilsError(str(e)) from e
distutils.errors.DistutilsError: Command '['/usr/local/bin/python3.9', '-m',
'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w',
'/tmp/tmpxik70adk', '--quiet', 'toml']' returned non-zero exit status 1.
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/py-zipp
=>> Cleaning up wrkdir
===>  Cleaning for py39-zipp-3.4.0
build of devel/py-zipp | py39-zipp-3.4.0 ended at Sat Jun 26 00:52:19 CEST 2021
build time: 00:00:49
!!! build failure encountered !!!

-- 
You are receiving this mail because:
You are the assignee for the bug.
Received on Mon Jun 28 2021 - 13:06:29 UTC

Original text of this message